> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available datasets



## OpenAPI

````yaml /api-reference/openapi.json get /v1/search/datasets
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/search/datasets:
    get:
      tags:
        - Search
      summary: List available datasets
      parameters:
        - schema:
            type: string
            enum:
              - weekly
              - monthly
            default: monthly
          required: false
          name: type
          in: query
      responses:
        '200':
          description: Available datasets retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetsResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetsResponse'
components:
  schemas:
    DatasetsResponse:
      type: object
      properties:
        datasets:
          $ref: '#/components/schemas/DatasetCollection'
        error:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
            docs:
              type: string
          required:
            - code
            - message
      required:
        - datasets
        - error
    DatasetCollection:
      type: object
      nullable: true
      properties:
        type:
          type: string
          enum:
            - weekly
            - monthly
        periods:
          type: array
          items:
            $ref: '#/components/schemas/DatasetPeriod'
      required:
        - type
        - periods
    DatasetPeriod:
      type: object
      properties:
        period:
          type: integer
        year:
          type: integer
      required:
        - period
        - year
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````